%global modulename worker-farm

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-worker-farm
Version:        1.6.0
Release:        1%{?dist}
Summary:        Distribute processing tasks to child processes with an über-simple API and baked-in durability & custom concurrency options.

License:        MIT
URL:            https://github.com/rvagg/node-worker-farm
Source0:        https://registry.npmjs.org/worker-farm/-/worker-farm-1.6.0.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(errno) >= 0.1.7 with npmlib(errno) < 0.2.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Distribute processing tasks to child processes with an über-simple API and baked-in durability & custom concurrency options.

%package 1.6.0
Summary:        Distribute processing tasks to child processes with an über-simple API and baked-in durability & custom concurrency options.


%description 1.6.0
Distribute processing tasks to child processes with an über-simple API and baked-in durability & custom concurrency options.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .editorconfig %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .travis.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr examples %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.d.ts %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr tests %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc LICENSE.md
%doc README.md
%{nodejs_dir}/%{modulename}

%files 1.6.0
%doc LICENSE.md
%doc README.md
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 1.6.0-1
- Package automatically generated by npm2srpm
